Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224587 - Make sure PV-on-HVM xen has an entropy source
Summary: Make sure PV-on-HVM xen has an entropy source
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Xen Maintainance List
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 15:37 UTC by Bryn M. Reeves
Modified: 2018-10-19 21:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-03 09:01:26 UTC


Attachments (Terms of Use)
make platform_pci interrupts use SA_SAMPLE_RANDOM (deleted)
2007-01-26 16:27 UTC, Bryn M. Reeves
no flags Details | Diff

Description Bryn M. Reeves 2007-01-26 15:37:47 UTC
Description of problem:
When using PV-on-HVM drivers with Xen, there is no interrupt source to provide
data to the entropy pool used by /dev/random and /dev/urandom. This leads to
PV-on-HVM guests blocking on attempts to read /dev/random (urandom will fall
back to a pseudo-RNG and not block). 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Create a HVM guest configured to use vbd for the system disk
2. Read from /dev/random, for e.g.:
hexdump /dev/random

  
Actual results:
The reading process will block for ever waiting for the entropy pool to be refilled.

Expected results:
The reading process makes progress as interrupts replenish the data in the
entropy pool.

Additional info:
PV-on-HVM is not supported in RHEL5 GA and no PV-on-HVM drivers are shipped.
This bug targets future releases which may contain this support.

Comment 1 Bryn M. Reeves 2007-01-26 16:27:56 UTC
Created attachment 146686 [details]
make platform_pci interrupts use SA_SAMPLE_RANDOM

This patch was created by Fujitsu's engineers and submitted to upstream xen:

http://lists.xensource.com/archives/html/xen-devel/2007-01/msg00373.html

The patch was merged in xen-unstable in the following commit:

http://lists.xensource.com/archives/html/xen-changelog/2007-01/msg00188.html

Comment 3 RHEL Product and Program Management 2007-03-21 22:28:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Brian Stein 2007-06-28 20:00:12 UTC
Review & test in 5.1 beta.

Comment 5 Red Hat Bugzilla 2007-07-25 00:32:46 UTC
change QA contact

Comment 8 Gerd Hoffmann 2007-09-03 09:01:26 UTC
xen-3.1 upstream (which the upcoming pv-on-hvm packages are based on) has the
fix merged.


Note You need to log in before you can comment on or make changes to this bug.